lp:~ubuntu-branches/ubuntu/quantal/libpam-krb5/quantal-201405130549

Created by Ubuntu Package Importer on 2014-05-13 and last modified on 2014-05-13
Get this branch:
bzr branch lp:~ubuntu-branches/ubuntu/quantal/libpam-krb5/quantal-201405130549
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

24. By Russ Allbery on 2012-02-04

* Enable bindnow hardening flags and fix the syntax of the
  DEB_BUILD_MAINT_OPTIONS setting.
* Bump debhelper dependency to 9 now that compatibility mode V9 is no
  longer experimental.
* Move single-debian-patch to local-options and patch-header to
  local-patch-header so that they only apply to the packages I build and
  NMUs get regular version-numbered patches.

23. By Russ Allbery on 2012-01-03

Fix build rule to not override CPPFLAGS, which deactivates some of the
options passed in by dpkg-buildflags. Instead, use --with-krb5-lib
and --with-krb5-include to locate the Kerberos headers and libraries.
Thanks, Moritz Muehlenhoff. (Closes: #654293)

22. By Russ Allbery on 2011-09-26

* Change the pam-auth-update configuration to skip remaining password
  stack by default modules if the Kerberos password change succeeds.
  This is more useful behavior for the common case of Kerberos accounts
  not having local passwords. See README.Debian.gz for information
  about how to synchronize Kerberos and local passwords. (LP: #826989)
* Update README.Debian.gz documentation with more current options for
  pam_unix and document password synchronization configuration.
* Convert to multiarch. Depend on the multiarch version of libpam0g,
  install the modules into the multiarch version of /lib/security, and
  declare the packages Multi-Arch: same.
* Update to debhelper compatibility level V9 (experimental).
  - Build-Depend on debhelper 8.9.4 or later for hardening flags.
  - Add Pre-Depends: ${misc:Pre-Depends}.
* Update standards version to 3.9.2 (no changes required).
* Fix formal name of the GPL in debian/copyright. (This will also be
  done upstream in the next release.)

21. By Matthias Klose on 2011-08-13

Search for heimdal and kerberos libraries in multiarch locations.

20. By Russ Allbery on 2011-02-22

* New upstream release.
  - Do not prompt for a password when try_pkinit is set, removing a
    spurious password prompt introduced in 4.1, but partly reintroducing
    a bug causing the password to not be saved in the PAM data if
    authentication falls back to password after a PKINIT failure.
  - Organize the pam_krb5 man page into sections.
* Fix custom patch header to refer to pam-krb5, not remctl.
* Update standards version to 3.9.1.
  - Refer to the GPL version 1 now that it's in common-licenses.
* Update to debhelper compatibility level V8 (no changes required).

19. By Russ Allbery on 2009-11-25

* New upstream release.
  - New fail_pwchange option which treats expired passwords like
    authentication failure and suppresses password change.

18. By Russ Allbery on 2009-07-21

* New upstream release.
  - Fix a segfault if pam-krb5 is configured with use_first_pass or
    use_authtok and there is no stored password. Thanks, Jonathan
    Guthrie. (Closes: #537729)

17. By Steve Langasek on 2009-06-08

No-change rebuild against libkrb5-3.

16. By Steve Langasek on 2009-03-04

* Merge from Debian unstable, remaining changes:
  - debian/{pam-auth-update,postinst,prerm}, debian/rules, debian/dirs:
    enable pam_krb5 by default using the new pam-auth-update support.
  - debian/control: depend on libpam-runtime (>= 1.0.1-6) for the
    above.
* Logging is now done with the LOG_AUTHPRIV facility. LP: #227531.

15. By Marc Deslauriers on 2009-02-12

* Merge from debian unstable, remaining changes:
  - debian/libpam-krb5.{pam-auth-update,install,postinst,prerm},
    debian/rules, debian/dirs: enable pam_krb5 by default using the new
    pam-auth-update support. LP: #275169.
  - debian/control: depend on libpam-runtime (>= 1.0.1-4ubuntu1) for the
    above.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/utopic/libpam-krb5
This branch contains Public information 
Everyone can see this information.

Subscribers